export const exportToFile = (
  text: string,
  filename: string,
  type = 'text/plain'
) => {
  const element = document.createElement('a');
  element.setAttribute(
    'href',
    `data:${type};charset=utf-8,${encodeURIComponent(text)}`
  );
  element.setAttribute('download', filename);

  element.style.display = 'none';
  document.body.appendChild(element);

  element.click();

  document.body.removeChild(element);
};
